<!doctype html>

<meta charset="utf-8">
<title>la vie d'un échange - échange simple</title>

<script src="https://d3js.org/d3.v4.min.js" charset="utf-8"></script>
<script src="https://dagrejs.github.io/project/dagre-d3/latest/dagre-d3.min.js"></script>

<link rel="stylesheet" href="css/graph.css">

<body>
<div class="live map">
  <svg><g/></svg>
</div>

<script>
  var trade = ""

  var actors = {
    "investisseur": {
      "type": "exposition",
      "description" : "particulier, gérant, fonds"
    },
    "banque de dépôt A": {
      "type": "depot",
      "description" : "garde les actifs des clients (monnaies, titres)",
      "inputQueue": [
        { "name": "investisseur", "label": "dépôt", "width": 40, "weight": 30 },
        { "name": "apporteur de liquidité", "label": "feedback", "width": 40, "weight": 30 }
      ]
    },
    "apporteur de liquidité": {
      "type": "exposition",
      "description" : "banque d'investissement, vend et achète",
      "inputQueue": [
        { "name": "investisseur", "label": "ordre", "width": 40, "weight": 30 }
      ]
    },
    "banque de dépôt B": {
      "type": "depot",
      "description" : "garde les actifs des clients (monnaies, titres)",
      "inputQueue": [
        { "name": "apporteur de liquidité", "label": "feedback", "width": 40, "weight": 30 },
      ]
    },
    "dépositaire central A" : {
      "type": "depot",
      "description" : "dépôt national (titres), six en Suisse",
      "inputQueue": [
        { "name": "banque de dépôt A", "label": "dépôt/feedback", "width": 40, "weight": 30 },
      ]
    },
    "dépositaire central B" : {
      "type": "depot",
      "description" : "dépôt national (titres), six en Suisse",
      "inputQueue": [
        { "name": "banque de dépôt B", "label": "dépôt/feedback", "width": 40, "weight": 30 },
      ]
    },
    "DC international" : {
      "type": "depot",
      "description" : "dépôt international (titres), Clearstrean",
      "inputQueue": [
        { "name": "dépositaire central A", "label": "dépôt/feedback", "width": 40, "weight": 30 },
        { "name": "dépositaire central B", "label": "dépôt/feedback", "width": 40, "weight": 30 },
      ]
    },



  };

</script>

		<script src="js/graph.js"></script>

</body>
</html>
